=== modified file 'Makefile.am'
--- Makefile.am	2009-09-01 16:18:35 +0000
+++ Makefile.am	2010-01-08 08:53:18 +0000
@@ -1,7 +1,6 @@
 
 SUBDIRS = \
 	src \
-	src-session \
 	data \
 	po
 

=== modified file 'Makefile.in'
--- Makefile.in	2009-09-01 16:18:35 +0000
+++ Makefile.in	2010-01-08 08:53:18 +0000
@@ -262,7 +262,6 @@
 top_srcdir = @top_srcdir@
 SUBDIRS = \
 	src \
-	src-session \
 	data \
 	po
 

=== modified file 'configure'
--- configure	2009-12-10 11:34:33 +0000
+++ configure	2010-01-08 08:53:18 +0000
@@ -2841,7 +2841,7 @@
 
 # Define the identity of the package.
  PACKAGE=indicator-applet
- VERSION=0.3.0
+ VERSION=0.3.1
 
 
 cat >>confdefs.h <<_ACEOF
@@ -13084,7 +13084,7 @@
 # Files
 ###########################
 
-ac_config_files="$ac_config_files Makefile src/Makefile src-session/Makefile data/Makefile po/Makefile.in"
+ac_config_files="$ac_config_files Makefile src/Makefile data/Makefile po/Makefile.in"
 
 cat >confcache <<\_ACEOF
 # This file is a shell script that caches the results of configure
@@ -14070,7 +14070,6 @@
     "default-1") CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
     "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
     "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
-    "src-session/Makefile") CONFIG_FILES="$CONFIG_FILES src-session/Makefile" ;;
     "data/Makefile") CONFIG_FILES="$CONFIG_FILES data/Makefile" ;;
     "po/Makefile.in") CONFIG_FILES="$CONFIG_FILES po/Makefile.in" ;;
     "po/stamp-it") CONFIG_COMMANDS="$CONFIG_COMMANDS po/stamp-it" ;;

=== modified file 'configure.ac'
--- configure.ac	2009-12-10 11:34:33 +0000
+++ configure.ac	2010-01-08 08:53:18 +0000
@@ -4,7 +4,7 @@
 AC_PREREQ(2.53)
 
 AM_CONFIG_HEADER(config.h)
-AM_INIT_AUTOMAKE(indicator-applet, 0.3.0)
+AM_INIT_AUTOMAKE(indicator-applet, 0.3.1)
 
 AM_MAINTAINER_MODE
 m4_ifdef([AM_SILENT_RULES],[AM_SILENT_RULES])
@@ -124,7 +124,6 @@
 AC_OUTPUT([
 Makefile
 src/Makefile
-src-session/Makefile
 data/Makefile
 po/Makefile.in
 ])

=== added file 'data/GNOME_IndicatorAppletComplete.server.in.in'
--- data/GNOME_IndicatorAppletComplete.server.in.in	1970-01-01 00:00:00 +0000
+++ data/GNOME_IndicatorAppletComplete.server.in.in	2010-01-08 08:53:18 +0000
@@ -0,0 +1,28 @@
+<oaf_info>
+  <oaf_server iid="OAFIID:GNOME_IndicatorAppletComplete_Factory" type="exe"
+              location="@LIBEXECDIR@/indicator-applet-complete">
+
+    <oaf_attribute name="repo_ids" type="stringv">
+      <item value="IDL:Bonobo/GenericFactory:1.0"/>
+      <item value="IDL:Bonobo/Unknown:1.0"/>
+    </oaf_attribute>
+    <oaf_attribute name="name" type="string" value="Indicator Applet Complete Factory"/>
+    <oaf_attribute name="description" type="string" value="Indicator Applet Complete Factory"/>
+    <oaf_attribute name="bonobo:environment" type="stringv">
+       <item value="DBUS_SESSION_BUS_ADDRESS"/>
+    </oaf_attribute>
+  </oaf_server>
+
+  <oaf_server iid="OAFIID:GNOME_IndicatorAppletComplete" type="factory"
+              location="OAFIID:GNOME_IndicatorAppletComplete_Factory">
+
+    <oaf_attribute name="repo_ids" type="stringv">
+      <item value="IDL:GNOME/Vertigo/PanelAppletShell:1.0"/>
+      <item value="IDL:Bonobo/Control:1.0"/>
+      <item value="IDL:Bonobo/Unknown:1.0"/>
+    </oaf_attribute>
+    <oaf_attribute name="name" type="string" _value="Indicator Applet Complete"/>
+    <oaf_attribute name="description" type="string" _value="A unified applet containing all of the indicators."/>
+    <oaf_attribute name="panel:icon" type="string" value="indicator-applet"/>
+  </oaf_server>
+</oaf_info>

=== modified file 'data/Makefile.am'
--- data/Makefile.am	2009-08-25 08:57:03 +0000
+++ data/Makefile.am	2010-01-08 08:53:18 +0000
@@ -8,6 +8,7 @@
 	$(libdir)/bonobo/servers
 server_in_files =				\
 	GNOME_IndicatorApplet.server.in \
+	GNOME_IndicatorAppletComplete.server.in \
 	GNOME_FastUserSwitchApplet.server.in
 server_DATA =					\
 	$(server_in_files:.server.in=.server)
@@ -68,6 +69,7 @@
 EXTRA_DIST =					\
 	$(icons_DATA) \
 	GNOME_IndicatorApplet.server.in.in	\
+	GNOME_IndicatorAppletComplete.server.in.in	\
 	GNOME_FastUserSwitchApplet.server.in.in	\
 	$(schema_in_files)
 

=== modified file 'data/Makefile.in'
--- data/Makefile.in	2009-09-01 16:18:35 +0000
+++ data/Makefile.in	2010-01-08 08:53:18 +0000
@@ -240,6 +240,7 @@
 
 server_in_files = \
 	GNOME_IndicatorApplet.server.in \
+	GNOME_IndicatorAppletComplete.server.in \
 	GNOME_FastUserSwitchApplet.server.in
 
 server_DATA = \
@@ -278,6 +279,7 @@
 EXTRA_DIST = \
 	$(icons_DATA) \
 	GNOME_IndicatorApplet.server.in.in	\
+	GNOME_IndicatorAppletComplete.server.in.in	\
 	GNOME_FastUserSwitchApplet.server.in.in	\
 	$(schema_in_files)
 

=== modified file 'po/POTFILES.in'
--- po/POTFILES.in	2009-08-25 08:57:03 +0000
+++ po/POTFILES.in	2010-01-08 08:53:18 +0000
@@ -1,6 +1,6 @@
 [encoding: UTF-8]
 data/GNOME_IndicatorApplet.server.in.in
+data/GNOME_IndicatorAppletComplete.server.in.in
 data/GNOME_FastUserSwitchApplet.server.in.in
 data/indicator-applet.schemas.in
 src/applet-main.c
-src-session/applet-main.c

=== removed directory 'src-session'
=== removed file 'src-session/Makefile.am'
--- src-session/Makefile.am	2009-09-01 16:18:35 +0000
+++ src-session/Makefile.am	1970-01-01 00:00:00 +0000
@@ -1,17 +0,0 @@
-
-libexec_PROGRAMS = \
-	indicator-applet-session
-
-indicator_applet_session_CFLAGS = \
-	-DG_LOG_DOMAIN=\""Indicator-Applet"\" \
-	-DDATADIR=\""$(datadir)"\" \
-	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
-	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
-	-I$(srcdir)/.. \
-	$(APPLET_CFLAGS)
-
-indicator_applet_session_SOURCES = 			\
-	applet-main.c
-
-indicator_applet_session_LDADD = \
-	$(APPLET_LIBS)

=== removed file 'src-session/Makefile.in'
--- src-session/Makefile.in	2009-09-01 16:18:35 +0000
+++ src-session/Makefile.in	1970-01-01 00:00:00 +0000
@@ -1,599 +0,0 @@
-# Makefile.in generated by automake 1.11 from Makefile.am.
-# @configure_input@
-
-# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
-# Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-@SET_MAKE@
-
-VPATH = @srcdir@
-pkgdatadir = $(datadir)/@PACKAGE@
-pkgincludedir = $(includedir)/@PACKAGE@
-pkglibdir = $(libdir)/@PACKAGE@
-pkglibexecdir = $(libexecdir)/@PACKAGE@
-am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-install_sh_DATA = $(install_sh) -c -m 644
-install_sh_PROGRAM = $(install_sh) -c
-install_sh_SCRIPT = $(install_sh) -c
-INSTALL_HEADER = $(INSTALL_DATA)
-transform = $(program_transform_name)
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_triplet = @build@
-host_triplet = @host@
-libexec_PROGRAMS = indicator-applet-session$(EXEEXT)
-subdir = src-session
-DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
-ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-am__aclocal_m4_deps = $(top_srcdir)/m4/intltool.m4 \
-	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
-	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
-	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
-am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
-	$(ACLOCAL_M4)
-mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
-CONFIG_HEADER = $(top_builddir)/config.h
-CONFIG_CLEAN_FILES =
-CONFIG_CLEAN_VPATH_FILES =
-am__installdirs = "$(DESTDIR)$(libexecdir)"
-PROGRAMS = $(libexec_PROGRAMS)
-am_indicator_applet_session_OBJECTS =  \
-	indicator_applet_session-applet-main.$(OBJEXT)
-indicator_applet_session_OBJECTS =  \
-	$(am_indicator_applet_session_OBJECTS)
-am__DEPENDENCIES_1 =
-indicator_applet_session_DEPENDENCIES = $(am__DEPENDENCIES_1)
-AM_V_lt = $(am__v_lt_$(V))
-am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
-am__v_lt_0 = --silent
-indicator_applet_session_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
-	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
-	$(indicator_applet_session_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
-	$(LDFLAGS) -o $@
-DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
-depcomp = $(SHELL) $(top_srcdir)/depcomp
-am__depfiles_maybe = depfiles
-am__mv = mv -f
-COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
-	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CFLAGS) $(CFLAGS)
-AM_V_CC = $(am__v_CC_$(V))
-am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
-am__v_CC_0 = @echo "  CC    " $@;
-AM_V_at = $(am__v_at_$(V))
-am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
-am__v_at_0 = @
-CCLD = $(CC)
-LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
-	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
-AM_V_CCLD = $(am__v_CCLD_$(V))
-am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
-am__v_CCLD_0 = @echo "  CCLD  " $@;
-AM_V_GEN = $(am__v_GEN_$(V))
-am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
-am__v_GEN_0 = @echo "  GEN   " $@;
-SOURCES = $(indicator_applet_session_SOURCES)
-DIST_SOURCES = $(indicator_applet_session_SOURCES)
-ETAGS = etags
-CTAGS = ctags
-DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = @ACLOCAL@
-ALL_LINGUAS = @ALL_LINGUAS@
-AMTAR = @AMTAR@
-AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
-APPLET_CFLAGS = @APPLET_CFLAGS@
-APPLET_LIBS = @APPLET_LIBS@
-AR = @AR@
-AUTOCONF = @AUTOCONF@
-AUTOHEADER = @AUTOHEADER@
-AUTOMAKE = @AUTOMAKE@
-AWK = @AWK@
-CATALOGS = @CATALOGS@
-CATOBJEXT = @CATOBJEXT@
-CC = @CC@
-CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@
-CPP = @CPP@
-CPPFLAGS = @CPPFLAGS@
-CYGPATH_W = @CYGPATH_W@
-DATADIRNAME = @DATADIRNAME@
-DEFS = @DEFS@
-DEPDIR = @DEPDIR@
-DSYMUTIL = @DSYMUTIL@
-DUMPBIN = @DUMPBIN@
-ECHO_C = @ECHO_C@
-ECHO_N = @ECHO_N@
-ECHO_T = @ECHO_T@
-EGREP = @EGREP@
-EXEEXT = @EXEEXT@
-EXPANDED_SYSCONFDIR = @EXPANDED_SYSCONFDIR@
-FGREP = @FGREP@
-GCONFTOOL = @GCONFTOOL@
-GCONF_SCHEMA_CONFIG_SOURCE = @GCONF_SCHEMA_CONFIG_SOURCE@
-GCONF_SCHEMA_FILE_DIR = @GCONF_SCHEMA_FILE_DIR@
-GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
-GMOFILES = @GMOFILES@
-GMSGFMT = @GMSGFMT@
-GNOMELOCALEDIR = @GNOMELOCALEDIR@
-GREP = @GREP@
-INDICATORDIR = @INDICATORDIR@
-INDICATORICONSDIR = @INDICATORICONSDIR@
-INSTALL = @INSTALL@
-INSTALL_DATA = @INSTALL_DATA@
-INSTALL_PROGRAM = @INSTALL_PROGRAM@
-INSTALL_SCRIPT = @INSTALL_SCRIPT@
-INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
-INSTOBJEXT = @INSTOBJEXT@
-INTLLIBS = @INTLLIBS@
-INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
-INTLTOOL_MERGE = @INTLTOOL_MERGE@
-INTLTOOL_PERL = @INTLTOOL_PERL@
-INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
-LD = @LD@
-LDFLAGS = @LDFLAGS@
-LIBDIR = @LIBDIR@
-LIBOBJS = @LIBOBJS@
-LIBS = @LIBS@
-LIBTOOL = @LIBTOOL@
-LIPO = @LIPO@
-LN_S = @LN_S@
-LTLIBOBJS = @LTLIBOBJS@
-MAINT = @MAINT@
-MAKEINFO = @MAKEINFO@
-MKDIR_P = @MKDIR_P@
-MKINSTALLDIRS = @MKINSTALLDIRS@
-MSGFMT = @MSGFMT@
-MSGFMT_OPTS = @MSGFMT_OPTS@
-MSGMERGE = @MSGMERGE@
-NM = @NM@
-NMEDIT = @NMEDIT@
-OBJDUMP = @OBJDUMP@
-OBJEXT = @OBJEXT@
-OTOOL = @OTOOL@
-OTOOL64 = @OTOOL64@
-PACKAGE = @PACKAGE@
-PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
-PACKAGE_NAME = @PACKAGE_NAME@
-PACKAGE_STRING = @PACKAGE_STRING@
-PACKAGE_TARNAME = @PACKAGE_TARNAME@
-PACKAGE_URL = @PACKAGE_URL@
-PACKAGE_VERSION = @PACKAGE_VERSION@
-PATH_SEPARATOR = @PATH_SEPARATOR@
-PKG_CONFIG = @PKG_CONFIG@
-POFILES = @POFILES@
-POSUB = @POSUB@
-PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
-PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
-PREFIX = @PREFIX@
-RANLIB = @RANLIB@
-SED = @SED@
-SET_MAKE = @SET_MAKE@
-SHELL = @SHELL@
-STRIP = @STRIP@
-SYSCONFDIR = @SYSCONFDIR@
-USE_NLS = @USE_NLS@
-VERSION = @VERSION@
-XGETTEXT = @XGETTEXT@
-abs_builddir = @abs_builddir@
-abs_srcdir = @abs_srcdir@
-abs_top_builddir = @abs_top_builddir@
-abs_top_srcdir = @abs_top_srcdir@
-ac_ct_CC = @ac_ct_CC@
-ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
-am__include = @am__include@
-am__leading_dot = @am__leading_dot@
-am__quote = @am__quote@
-am__tar = @am__tar@
-am__untar = @am__untar@
-bindir = @bindir@
-build = @build@
-build_alias = @build_alias@
-build_cpu = @build_cpu@
-build_os = @build_os@
-build_vendor = @build_vendor@
-builddir = @builddir@
-datadir = @datadir@
-datarootdir = @datarootdir@
-docdir = @docdir@
-dvidir = @dvidir@
-exec_prefix = @exec_prefix@
-host = @host@
-host_alias = @host_alias@
-host_cpu = @host_cpu@
-host_os = @host_os@
-host_vendor = @host_vendor@
-htmldir = @htmldir@
-includedir = @includedir@
-infodir = @infodir@
-install_sh = @install_sh@
-libdir = @libdir@
-libexecdir = @libexecdir@
-localedir = @localedir@
-localstatedir = @localstatedir@
-lt_ECHO = @lt_ECHO@
-mandir = @mandir@
-mkdir_p = @mkdir_p@
-oldincludedir = @oldincludedir@
-pdfdir = @pdfdir@
-prefix = @prefix@
-program_transform_name = @program_transform_name@
-psdir = @psdir@
-sbindir = @sbindir@
-sharedstatedir = @sharedstatedir@
-srcdir = @srcdir@
-sysconfdir = @sysconfdir@
-target_alias = @target_alias@
-top_build_prefix = @top_build_prefix@
-top_builddir = @top_builddir@
-top_srcdir = @top_srcdir@
-indicator_applet_session_CFLAGS = \
-	-DG_LOG_DOMAIN=\""Indicator-Applet"\" \
-	-DDATADIR=\""$(datadir)"\" \
-	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
-	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
-	-I$(srcdir)/.. \
-	$(APPLET_CFLAGS)
-
-indicator_applet_session_SOURCES = \
-	applet-main.c
-
-indicator_applet_session_LDADD = \
-	$(APPLET_LIBS)
-
-all: all-am
-
-.SUFFIXES:
-.SUFFIXES: .c .lo .o .obj
-$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
-	@for dep in $?; do \
-	  case '$(am__configure_deps)' in \
-	    *$$dep*) \
-	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
-	        && { if test -f $@; then exit 0; else break; fi; }; \
-	      exit 1;; \
-	  esac; \
-	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src-session/Makefile'; \
-	$(am__cd) $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu src-session/Makefile
-.PRECIOUS: Makefile
-Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
-	@case '$?' in \
-	  *config.status*) \
-	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
-	  *) \
-	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
-	esac;
-
-$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-
-$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
-	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
-$(am__aclocal_m4_deps):
-install-libexecPROGRAMS: $(libexec_PROGRAMS)
-	@$(NORMAL_INSTALL)
-	test -z "$(libexecdir)" || $(MKDIR_P) "$(DESTDIR)$(libexecdir)"
-	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
-	for p in $$list; do echo "$$p $$p"; done | \
-	sed 's/$(EXEEXT)$$//' | \
-	while read p p1; do if test -f $$p || test -f $$p1; \
-	  then echo "$$p"; echo "$$p"; else :; fi; \
-	done | \
-	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
-	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
-	sed 'N;N;N;s,\n, ,g' | \
-	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
-	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
-	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
-	    else { print "f", $$3 "/" $$4, $$1; } } \
-	  END { for (d in files) print "f", d, files[d] }' | \
-	while read type dir files; do \
-	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
-	    test -z "$$files" || { \
-	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
-	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
-	    } \
-	; done
-
-uninstall-libexecPROGRAMS:
-	@$(NORMAL_UNINSTALL)
-	@list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
-	files=`for p in $$list; do echo "$$p"; done | \
-	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
-	      -e 's/$$/$(EXEEXT)/' `; \
-	test -n "$$list" || exit 0; \
-	echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
-	cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
-
-clean-libexecPROGRAMS:
-	@list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
-	echo " rm -f" $$list; \
-	rm -f $$list || exit $$?; \
-	test -n "$(EXEEXT)" || exit 0; \
-	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
-	echo " rm -f" $$list; \
-	rm -f $$list
-indicator-applet-session$(EXEEXT): $(indicator_applet_session_OBJECTS) $(indicator_applet_session_DEPENDENCIES) 
-	@rm -f indicator-applet-session$(EXEEXT)
-	$(AM_V_CCLD)$(indicator_applet_session_LINK) $(indicator_applet_session_OBJECTS) $(indicator_applet_session_LDADD) $(LIBS)
-
-mostlyclean-compile:
-	-rm -f *.$(OBJEXT)
-
-distclean-compile:
-	-rm -f *.tab.c
-
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/indicator_applet_session-applet-main.Po@am__quote@
-
-.c.o:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(COMPILE) -c $<
-
-.c.obj:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
-@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
-
-.c.lo:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
-@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
-
-indicator_applet_session-applet-main.o: applet-main.c
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -MT indicator_applet_session-applet-main.o -MD -MP -MF $(DEPDIR)/indicator_applet_session-applet-main.Tpo -c -o indicator_applet_session-applet-main.o `test -f 'applet-main.c' || echo '$(srcdir)/'`applet-main.c
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/indicator_applet_session-applet-main.Tpo $(DEPDIR)/indicator_applet_session-applet-main.Po
-@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='applet-main.c' object='indicator_applet_session-applet-main.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -c -o indicator_applet_session-applet-main.o `test -f 'applet-main.c' || echo '$(srcdir)/'`applet-main.c
-
-indicator_applet_session-applet-main.obj: applet-main.c
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -MT indicator_applet_session-applet-main.obj -MD -MP -MF $(DEPDIR)/indicator_applet_session-applet-main.Tpo -c -o indicator_applet_session-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/indicator_applet_session-applet-main.Tpo $(DEPDIR)/indicator_applet_session-applet-main.Po
-@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='applet-main.c' object='indicator_applet_session-applet-main.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -c -o indicator_applet_session-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
-
-mostlyclean-libtool:
-	-rm -f *.lo
-
-clean-libtool:
-	-rm -rf .libs _libs
-
-ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
-	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-	      END { if (nonempty) { for (i in files) print i; }; }'`; \
-	mkid -fID $$unique
-tags: TAGS
-
-TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	set x; \
-	here=`pwd`; \
-	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-	      END { if (nonempty) { for (i in files) print i; }; }'`; \
-	shift; \
-	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
-	  test -n "$$unique" || unique=$$empty_fix; \
-	  if test $$# -gt 0; then \
-	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	      "$$@" $$unique; \
-	  else \
-	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
-	      $$unique; \
-	  fi; \
-	fi
-ctags: CTAGS
-CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
-		$(TAGS_FILES) $(LISP)
-	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
-	unique=`for i in $$list; do \
-	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
-	  done | \
-	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
-	      END { if (nonempty) { for (i in files) print i; }; }'`; \
-	test -z "$(CTAGS_ARGS)$$unique" \
-	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
-	     $$unique
-
-GTAGS:
-	here=`$(am__cd) $(top_builddir) && pwd` \
-	  && $(am__cd) $(top_srcdir) \
-	  && gtags -i $(GTAGS_ARGS) "$$here"
-
-distclean-tags:
-	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
-
-distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
-	list='$(DISTFILES)'; \
-	  dist_files=`for file in $$list; do echo $$file; done | \
-	  sed -e "s|^$$srcdirstrip/||;t" \
-	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
-	case $$dist_files in \
-	  */*) $(MKDIR_P) `echo "$$dist_files" | \
-			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
-			   sort -u` ;; \
-	esac; \
-	for file in $$dist_files; do \
-	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  if test -d $$d/$$file; then \
-	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
-	    if test -d "$(distdir)/$$file"; then \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
-	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
-	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
-	    fi; \
-	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
-	  else \
-	    test -f "$(distdir)/$$file" \
-	    || cp -p $$d/$$file "$(distdir)/$$file" \
-	    || exit 1; \
-	  fi; \
-	done
-check-am: all-am
-check: check-am
-all-am: Makefile $(PROGRAMS)
-installdirs:
-	for dir in "$(DESTDIR)$(libexecdir)"; do \
-	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
-	done
-install: install-am
-install-exec: install-exec-am
-install-data: install-data-am
-uninstall: uninstall-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-
-installcheck: installcheck-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
-	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
-	  `test -z '$(STRIP)' || \
-	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
-
-maintainer-clean-generic:
-	@echo "This command is intended for maintainers to use"
-	@echo "it deletes files that may require special tools to rebuild."
-clean: clean-am
-
-clean-am: clean-generic clean-libexecPROGRAMS clean-libtool \
-	mostlyclean-am
-
-distclean: distclean-am
-	-rm -rf ./$(DEPDIR)
-	-rm -f Makefile
-distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-tags
-
-dvi: dvi-am
-
-dvi-am:
-
-html: html-am
-
-html-am:
-
-info: info-am
-
-info-am:
-
-install-data-am:
-
-install-dvi: install-dvi-am
-
-install-dvi-am:
-
-install-exec-am: install-libexecPROGRAMS
-
-install-html: install-html-am
-
-install-html-am:
-
-install-info: install-info-am
-
-install-info-am:
-
-install-man:
-
-install-pdf: install-pdf-am
-
-install-pdf-am:
-
-install-ps: install-ps-am
-
-install-ps-am:
-
-installcheck-am:
-
-maintainer-clean: maintainer-clean-am
-	-rm -rf ./$(DEPDIR)
-	-rm -f Makefile
-maintainer-clean-am: distclean-am maintainer-clean-generic
-
-mostlyclean: mostlyclean-am
-
-mostlyclean-am: mostlyclean-compile mostlyclean-generic \
-	mostlyclean-libtool
-
-pdf: pdf-am
-
-pdf-am:
-
-ps: ps-am
-
-ps-am:
-
-uninstall-am: uninstall-libexecPROGRAMS
-
-.MAKE: install-am install-strip
-
-.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
-	clean-libexecPROGRAMS clean-libtool ctags distclean \
-	distclean-compile distclean-generic distclean-libtool \
-	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-dvi \
-	install-dvi-am install-exec install-exec-am install-html \
-	install-html-am install-info install-info-am \
-	install-libexecPROGRAMS install-man install-pdf install-pdf-am \
-	install-ps install-ps-am install-strip installcheck \
-	installcheck-am installdirs maintainer-clean \
-	maintainer-clean-generic mostlyclean mostlyclean-compile \
-	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
-	tags uninstall uninstall-am uninstall-libexecPROGRAMS
-
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:

=== removed file 'src-session/applet-main.c'
--- src-session/applet-main.c	2009-12-10 11:34:33 +0000
+++ src-session/applet-main.c	1970-01-01 00:00:00 +0000
@@ -1,320 +0,0 @@
-/*
-A small wrapper utility to load indicators and put them as menu items
-into the gnome-panel using it's applet interface.
-
-Copyright 2009 Canonical Ltd.
-
-Authors:
-    Ted Gould <ted@canonical.com>
-
-This program is free software: you can redistribute it and/or modify it 
-under the terms of the GNU General Public License version 3, as published 
-by the Free Software Foundation.
-
-This program is distributed in the hope that it will be useful, but 
-WITHOUT ANY WARRANTY; without even the implied warranties of 
-MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
-PURPOSE.  See the GNU General Public License for more details.
-
-You should have received a copy of the GNU General Public License along 
-with this program.  If not, see <http://www.gnu.org/licenses/>.
-*/
-
-#include <config.h>
-#include <panel-applet.h>
-
-#include "libindicator/indicator-object.h"
-
-static gboolean     applet_fill_cb (PanelApplet * applet, const gchar * iid, gpointer data);
-
-
-static void cw_panel_background_changed (PanelApplet               *applet,
-                                         PanelAppletBackgroundType  type,
-                        				         GdkColor                  *colour,
-                        				         GdkPixmap                 *pixmap,
-                                         GtkWidget                 *menubar);
-
-/*************
- * main
- * ***********/
-
-PANEL_APPLET_BONOBO_FACTORY ("OAFIID:GNOME_FastUserSwitchApplet_Factory",
-               PANEL_TYPE_APPLET,
-               "indicator-applet-session", "0",
-               applet_fill_cb, NULL);
-
-/*************
- * init function
- * ***********/
-static gboolean
-load_module (const gchar * name, GtkWidget * menu)
-{
-	g_debug("Looking at Module: %s", name);
-	g_return_val_if_fail(name != NULL, FALSE);
-
-	if (!g_str_has_suffix(name, G_MODULE_SUFFIX)) {
-		return FALSE;
-	}
-
-	g_debug("Loading Module: %s", name);
-
-	gchar * fullpath = g_build_filename(INDICATOR_DIR, name, NULL);
-	IndicatorObject * io = indicator_object_new_from_file(fullpath);
-	g_free(fullpath);
-
-	GList * entries = indicator_object_get_entries(io);
-	GList * entry = NULL;
-
-	for (entry = entries; entry != NULL; entry = g_list_next(entry)) {
-		IndicatorObjectEntry * entrydata = (IndicatorObjectEntry *)entry->data;
-
-		GtkWidget * menuitem = gtk_menu_item_new();
-		GtkWidget * hbox = gtk_hbox_new(FALSE, 3);
-		if (entrydata->image != NULL) {
-			gtk_box_pack_start(GTK_BOX(hbox), GTK_WIDGET(entrydata->image), FALSE, FALSE, 0);
-		}
-		if (entrydata->label != NULL) {
-			gtk_box_pack_start(GTK_BOX(hbox), GTK_WIDGET(entrydata->label), FALSE, FALSE, 0);
-		}
-		gtk_container_add(GTK_CONTAINER(menuitem), hbox);
-		gtk_widget_show(hbox);
-
-		if (entrydata->menu != NULL) {
-			gtk_menu_item_set_submenu(GTK_MENU_ITEM(menuitem), GTK_WIDGET(entrydata->menu));
-		}
-
-		gtk_menu_shell_append(GTK_MENU_SHELL(menu), menuitem);
-		gtk_widget_show(menuitem);
-	}
-
-	g_list_free(entries);
-
-	return TRUE;
-}
-
-static gboolean
-menubar_press (GtkWidget * widget,
-                    GdkEventButton *event,
-                    gpointer data)
-{
-	if (event->button != 1) {
-		g_signal_stop_emission_by_name(widget, "button-press-event");
-	}
-
-	return FALSE;
-}
-
-static gboolean
-menubar_on_expose (GtkWidget * widget,
-                    GdkEventExpose *event,
-                    GtkWidget * menubar)
-{
-	if (GTK_WIDGET_HAS_FOCUS(menubar))
-		gtk_paint_focus(widget->style, widget->window, GTK_WIDGET_STATE(menubar),
-		                NULL, widget, "menubar-applet", 0, 0, -1, -1);
-
-	return FALSE;
-}
-
-static void
-about_cb (BonoboUIComponent *ui_container,
-	  gpointer           data,
-	  const gchar       *cname)
-{
-	static const gchar *authors[] = {
-		"Ted Gould <ted@canonical.com>",
-		NULL
-	};
-
-	static gchar *license[] = {
-        N_("This program is free software: you can redistribute it and/or modify it "
-           "under the terms of the GNU General Public License version 3, as published "
-           "by the Free Software Foundation."),
-        N_("This program is distributed in the hope that it will be useful, but "
-           "WITHOUT ANY WARRANTY; without even the implied warranties of "
-           "MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR "
-           "PURPOSE.  See the GNU General Public License for more details."),
-        N_("You should have received a copy of the GNU General Public License along "
-           "with this program.  If not, see <http://www.gnu.org/licenses/>."),
-		NULL
-	};
-	gchar *license_i18n;
-
-	license_i18n = g_strconcat (_(license[0]), "\n\n", _(license[1]), "\n\n", _(license[2]), NULL);
-
-	gtk_show_about_dialog(NULL,
-		"version", VERSION,
-		"copyright", "Copyright \xc2\xa9 2009 Canonical, Ltd.",
-		"comments", _("A place to adjust your status, change users or exit your session."),
-		"authors", authors,
-		"license", license_i18n,
-		"wrap-license", TRUE,
-		"translator-credits", _("translator-credits"),
-		"logo-icon-name", "indicator-applet",
-		"icon-name", "indicator-applet",
-		"website", "http://launchpad.net/indicator-applet",
-		"website-label", _("Indicator Applet Website"),
-		NULL
-	);
-
-	g_free (license_i18n);
-
-	return;
-}
-
-#ifdef N_
-#undef N_
-#endif
-#define N_(x) x
-
-static gboolean
-applet_fill_cb (PanelApplet * applet, const gchar * iid, gpointer data)
-{
-	static const BonoboUIVerb menu_verbs[] = {
-		BONOBO_UI_VERB ("IndicatorAppletAbout", about_cb),
-		BONOBO_UI_VERB_END
-	};
-	static const gchar * menu_xml = 
-		"<popup name=\"button3\">"
-			"<menuitem name=\"About Item\" verb=\"IndicatorAppletAbout\" _label=\"" N_("_About") "\" pixtype=\"stock\" pixname=\"gtk-about\"/>"
-		"</popup>";
-
-	GtkWidget *menubar;
-	gint i;
-	gint indicators_loaded = 0;
-	static gboolean first_time = FALSE;
-
-	/* check if we are running stracciatella session */
-	if (g_strcmp0(g_getenv("GDMSESSION"), "gnome-stracciatella") == 0) {
-		g_debug("Running stracciatella GNOME session, disabling myself");
-		return TRUE;
-	}
-
-	if (!first_time)
-	{
-		first_time = TRUE;
-		g_set_application_name(_("Indicator Applet Session"));
-	}
-
-	/* Set panel options */
-	gtk_container_set_border_width(GTK_CONTAINER (applet), 0);
-	panel_applet_set_flags(applet, PANEL_APPLET_EXPAND_MINOR);
-	panel_applet_setup_menu(applet, menu_xml, menu_verbs, NULL);
-    atk_object_set_name (gtk_widget_get_accessible (GTK_WIDGET (applet)),
-                         "indicator-applet-session");
-  
-	/* Init some theme/icon stuff */
-	gtk_icon_theme_append_search_path(gtk_icon_theme_get_default(),
-	                                  INDICATOR_ICONS_DIR);
-	/* g_debug("Icons directory: %s", INDICATOR_ICONS_DIR); */
-	gtk_rc_parse_string (
-	    "style \"indicator-applet-style\"\n"
-        "{\n"
-        "    GtkMenuBar::shadow-type = none\n"
-        "    GtkMenuBar::internal-padding = 0\n"
-        "    GtkWidget::focus-line-width = 0\n"
-        "    GtkWidget::focus-padding = 0\n"
-        "}\n"
-	    "style \"indicator-applet-menubar-style\"\n"
-        "{\n"
-        "    GtkMenuBar::shadow-type = none\n"
-        "    GtkMenuBar::internal-padding = 0\n"
-        "    GtkWidget::focus-line-width = 0\n"
-        "    GtkWidget::focus-padding = 0\n"
-        "    GtkMenuItem::horizontal-padding = 0\n"
-        "}\n"
-	    "style \"indicator-applet-menuitem-style\"\n"
-        "{\n"
-        "    GtkWidget::focus-line-width = 0\n"
-        "    GtkWidget::focus-padding = 0\n"
-        "    GtkMenuItem::horizontal-padding = 0\n"
-        "}\n"
-        "widget \"*.fast-user-switch-applet\" style \"indicator-applet-style\""
-        "widget \"*.fast-user-switch-menuitem\" style \"indicator-applet-menuitem-style\""
-        "widget \"*.fast-user-switch-menubar\" style \"indicator-applet-menubar-style\"");
-	//gtk_widget_set_name(GTK_WIDGET (applet), "indicator-applet-menubar");
-	gtk_widget_set_name(GTK_WIDGET (applet), "fast-user-switch-applet");
-
-	/* Build menubar */
-	menubar = gtk_menu_bar_new();
-	GTK_WIDGET_SET_FLAGS (menubar, GTK_WIDGET_FLAGS(menubar) | GTK_CAN_FOCUS);
-	gtk_widget_set_name(GTK_WIDGET (menubar), "fast-user-switch-menubar");
-	g_signal_connect(menubar, "button-press-event", G_CALLBACK(menubar_press), NULL);
-	g_signal_connect_after(menubar, "expose-event", G_CALLBACK(menubar_on_expose), menubar);
-	gtk_container_set_border_width(GTK_CONTAINER(menubar), 0);
-
-	/* load 'em */
-	if (g_file_test(INDICATOR_DIR, (G_FILE_TEST_EXISTS | G_FILE_TEST_IS_DIR))) {
-		GDir * dir = g_dir_open(INDICATOR_DIR, 0, NULL);
-
-		const gchar * name;
-		while ((name = g_dir_read_name(dir)) != NULL) {
-			if (g_strcmp0(name, "libsession.so")) {
-				continue;
-			}
-			if (load_module(name, menubar)) {
- 				indicators_loaded++;
-			}
-		}
-		g_dir_close (dir);
-	}
-
-	if (indicators_loaded == 0) {
-		/* A label to allow for click through */
-		GtkWidget * item = gtk_label_new(_("No Indicators"));
-		gtk_container_add(GTK_CONTAINER(applet), item);
-		gtk_widget_show(item);
-	} else {
-		gtk_container_add(GTK_CONTAINER(applet), menubar);
-		panel_applet_set_background_widget(applet, menubar);
-		gtk_widget_show(menubar);
-	}
-  
-	/* Background of applet */
-	g_signal_connect(applet, "change-background",
-			  G_CALLBACK(cw_panel_background_changed), menubar);
-  
-	gtk_widget_show(GTK_WIDGET(applet));
-
-	return TRUE;
-}
-
-static void 
-cw_panel_background_changed (PanelApplet               *applet,
-                             PanelAppletBackgroundType  type,
-                             GdkColor                  *colour,
-                             GdkPixmap                 *pixmap,
-                             GtkWidget                 *menubar)
-{
-	GtkRcStyle *rc_style;
-	GtkStyle *style;
-
-	/* reset style */
-	gtk_widget_set_style(GTK_WIDGET (applet), NULL);
- 	gtk_widget_set_style(menubar, NULL);
-	rc_style = gtk_rc_style_new ();
-	gtk_widget_modify_style(GTK_WIDGET (applet), rc_style);
-	gtk_widget_modify_style(menubar, rc_style);
-	gtk_rc_style_unref(rc_style);
-
-	switch (type) 
-	{
-		case PANEL_NO_BACKGROUND:
-			break;
-		case PANEL_COLOR_BACKGROUND:
-			gtk_widget_modify_bg(GTK_WIDGET (applet), GTK_STATE_NORMAL, colour);
-			gtk_widget_modify_bg(menubar, GTK_STATE_NORMAL, colour);
-			break;
-    
-		case PANEL_PIXMAP_BACKGROUND:
-			style = gtk_style_copy(GTK_WIDGET (applet)->style);
-			if (style->bg_pixmap[GTK_STATE_NORMAL])
-				g_object_unref(style->bg_pixmap[GTK_STATE_NORMAL]);
-			style->bg_pixmap[GTK_STATE_NORMAL] = g_object_ref (pixmap);
-			gtk_widget_set_style(GTK_WIDGET (applet), style);
-			gtk_widget_set_style(GTK_WIDGET (menubar), style);
-			g_object_unref(style);
-			break;
-  }
-}
-

=== modified file 'src/Makefile.am'
--- src/Makefile.am	2009-09-01 16:18:35 +0000
+++ src/Makefile.am	2010-01-08 08:53:18 +0000
@@ -1,17 +1,50 @@
 
 libexec_PROGRAMS = \
-	indicator-applet
+	indicator-applet \
+	indicator-applet-session \
+	indicator-applet-complete
 
 indicator_applet_CFLAGS = \
 	-DG_LOG_DOMAIN=\""Indicator-Applet"\" \
 	-DDATADIR=\""$(datadir)"\" \
 	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
 	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
+	-DINDICATOR_APPLET \
 	-I$(srcdir)/.. \
 	$(APPLET_CFLAGS)
 
-indicator_applet_SOURCES = 			\
+indicator_applet_SOURCES = \
 	applet-main.c
 
 indicator_applet_LDADD = \
 	$(APPLET_LIBS)
+
+indicator_applet_session_CFLAGS = \
+	-DG_LOG_DOMAIN=\""Indicator-Applet-Session"\" \
+	-DDATADIR=\""$(datadir)"\" \
+	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
+	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
+	-DINDICATOR_APPLET_SESSION \
+	-I$(srcdir)/.. \
+	$(APPLET_CFLAGS)
+
+indicator_applet_session_SOURCES = \
+	applet-main.c
+
+indicator_applet_session_LDADD = \
+	$(APPLET_LIBS)
+
+indicator_applet_complete_CFLAGS = \
+	-DG_LOG_DOMAIN=\""Indicator-Applet-Complete"\" \
+	-DDATADIR=\""$(datadir)"\" \
+	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
+	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
+	-DINDICATOR_APPLET_COMPLETE \
+	-I$(srcdir)/.. \
+	$(APPLET_CFLAGS)
+
+indicator_applet_complete_SOURCES =	\
+	applet-main.c
+
+indicator_applet_complete_LDADD = \
+	$(APPLET_LIBS)

=== modified file 'src/Makefile.in'
--- src/Makefile.in	2009-09-01 16:18:35 +0000
+++ src/Makefile.in	2010-01-08 08:53:18 +0000
@@ -34,7 +34,9 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-libexec_PROGRAMS = indicator-applet$(EXEEXT)
+libexec_PROGRAMS = indicator-applet$(EXEEXT) \
+	indicator-applet-session$(EXEEXT) \
+	indicator-applet-complete$(EXEEXT)
 subdir = src
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -61,6 +63,24 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
 	$(indicator_applet_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
 	-o $@
+am_indicator_applet_complete_OBJECTS =  \
+	indicator_applet_complete-applet-main.$(OBJEXT)
+indicator_applet_complete_OBJECTS =  \
+	$(am_indicator_applet_complete_OBJECTS)
+indicator_applet_complete_DEPENDENCIES = $(am__DEPENDENCIES_1)
+indicator_applet_complete_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
+	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
+	$(indicator_applet_complete_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
+	$(LDFLAGS) -o $@
+am_indicator_applet_session_OBJECTS =  \
+	indicator_applet_session-applet-main.$(OBJEXT)
+indicator_applet_session_OBJECTS =  \
+	$(am_indicator_applet_session_OBJECTS)
+indicator_applet_session_DEPENDENCIES = $(am__DEPENDENCIES_1)
+indicator_applet_session_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
+	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
+	$(indicator_applet_session_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
+	$(LDFLAGS) -o $@
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -87,8 +107,12 @@
 AM_V_GEN = $(am__v_GEN_$(V))
 am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
 am__v_GEN_0 = @echo "  GEN   " $@;
-SOURCES = $(indicator_applet_SOURCES)
-DIST_SOURCES = $(indicator_applet_SOURCES)
+SOURCES = $(indicator_applet_SOURCES) \
+	$(indicator_applet_complete_SOURCES) \
+	$(indicator_applet_session_SOURCES)
+DIST_SOURCES = $(indicator_applet_SOURCES) \
+	$(indicator_applet_complete_SOURCES) \
+	$(indicator_applet_session_SOURCES)
 ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
@@ -246,6 +270,7 @@
 	-DDATADIR=\""$(datadir)"\" \
 	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
 	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
+	-DINDICATOR_APPLET \
 	-I$(srcdir)/.. \
 	$(APPLET_CFLAGS)
 
@@ -255,6 +280,36 @@
 indicator_applet_LDADD = \
 	$(APPLET_LIBS)
 
+indicator_applet_session_CFLAGS = \
+	-DG_LOG_DOMAIN=\""Indicator-Applet-Session"\" \
+	-DDATADIR=\""$(datadir)"\" \
+	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
+	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
+	-DINDICATOR_APPLET_SESSION \
+	-I$(srcdir)/.. \
+	$(APPLET_CFLAGS)
+
+indicator_applet_session_SOURCES = \
+	applet-main.c
+
+indicator_applet_session_LDADD = \
+	$(APPLET_LIBS)
+
+indicator_applet_complete_CFLAGS = \
+	-DG_LOG_DOMAIN=\""Indicator-Applet-Complete"\" \
+	-DDATADIR=\""$(datadir)"\" \
+	-DINDICATOR_DIR=\""$(INDICATORDIR)"\" \
+	-DINDICATOR_ICONS_DIR=\""$(INDICATORICONSDIR)"\" \
+	-DINDICATOR_APPLET_COMPLETE \
+	-I$(srcdir)/.. \
+	$(APPLET_CFLAGS)
+
+indicator_applet_complete_SOURCES = \
+	applet-main.c
+
+indicator_applet_complete_LDADD = \
+	$(APPLET_LIBS)
+
 all: all-am
 
 .SUFFIXES:
@@ -335,6 +390,12 @@
 indicator-applet$(EXEEXT): $(indicator_applet_OBJECTS) $(indicator_applet_DEPENDENCIES) 
 	@rm -f indicator-applet$(EXEEXT)
 	$(AM_V_CCLD)$(indicator_applet_LINK) $(indicator_applet_OBJECTS) $(indicator_applet_LDADD) $(LIBS)
+indicator-applet-complete$(EXEEXT): $(indicator_applet_complete_OBJECTS) $(indicator_applet_complete_DEPENDENCIES) 
+	@rm -f indicator-applet-complete$(EXEEXT)
+	$(AM_V_CCLD)$(indicator_applet_complete_LINK) $(indicator_applet_complete_OBJECTS) $(indicator_applet_complete_LDADD) $(LIBS)
+indicator-applet-session$(EXEEXT): $(indicator_applet_session_OBJECTS) $(indicator_applet_session_DEPENDENCIES) 
+	@rm -f indicator-applet-session$(EXEEXT)
+	$(AM_V_CCLD)$(indicator_applet_session_LINK) $(indicator_applet_session_OBJECTS) $(indicator_applet_session_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -343,6 +404,8 @@
 	-rm -f *.tab.c
 
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/indicator_applet-applet-main.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/indicator_applet_complete-applet-main.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/indicator_applet_session-applet-main.Po@am__quote@
 
 .c.o:
 @am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
@@ -384,6 +447,38 @@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_CFLAGS) $(CFLAGS) -c -o indicator_applet-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
 
+indicator_applet_complete-applet-main.o: applet-main.c
+@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_complete_CFLAGS) $(CFLAGS) -MT indicator_applet_complete-applet-main.o -MD -MP -MF $(DEPDIR)/indicator_applet_complete-applet-main.Tpo -c -o indicator_applet_complete-applet-main.o `test -f 'applet-main.c' || echo '$(srcdir)/'`applet-main.c
+@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/indicator_applet_complete-applet-main.Tpo $(DEPDIR)/indicator_applet_complete-applet-main.Po
+@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='applet-main.c' object='indicator_applet_complete-applet-main.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_complete_CFLAGS) $(CFLAGS) -c -o indicator_applet_complete-applet-main.o `test -f 'applet-main.c' || echo '$(srcdir)/'`applet-main.c
+
+indicator_applet_complete-applet-main.obj: applet-main.c
+@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_complete_CFLAGS) $(CFLAGS) -MT indicator_applet_complete-applet-main.obj -MD -MP -MF $(DEPDIR)/indicator_applet_complete-applet-main.Tpo -c -o indicator_applet_complete-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
+@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/indicator_applet_complete-applet-main.Tpo $(DEPDIR)/indicator_applet_complete-applet-main.Po
+@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='applet-main.c' object='indicator_applet_complete-applet-main.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_complete_CFLAGS) $(CFLAGS) -c -o indicator_applet_complete-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
+
+indicator_applet_session-applet-main.o: applet-main.c
+@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -MT indicator_applet_session-applet-main.o -MD -MP -MF $(DEPDIR)/indicator_applet_session-applet-main.Tpo -c -o indicator_applet_session-applet-main.o `test -f 'applet-main.c' || echo '$(srcdir)/'`applet-main.c
+@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/indicator_applet_session-applet-main.Tpo $(DEPDIR)/indicator_applet_session-applet-main.Po
+@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='applet-main.c' object='indicator_applet_session-applet-main.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -c -o indicator_applet_session-applet-main.o `test -f 'applet-main.c' || echo '$(srcdir)/'`applet-main.c
+
+indicator_applet_session-applet-main.obj: applet-main.c
+@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -MT indicator_applet_session-applet-main.obj -MD -MP -MF $(DEPDIR)/indicator_applet_session-applet-main.Tpo -c -o indicator_applet_session-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
+@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/indicator_applet_session-applet-main.Tpo $(DEPDIR)/indicator_applet_session-applet-main.Po
+@am__fastdepCC_FALSE@	$(AM_V_CC) @AM_BACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='applet-main.c' object='indicator_applet_session-applet-main.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCC_FALSE@	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(indicator_applet_session_CFLAGS) $(CFLAGS) -c -o indicator_applet_session-applet-main.obj `if test -f 'applet-main.c'; then $(CYGPATH_W) 'applet-main.c'; else $(CYGPATH_W) '$(srcdir)/applet-main.c'; fi`
+
 mostlyclean-libtool:
 	-rm -f *.lo
 

=== modified file 'src/applet-main.c'
--- src/applet-main.c	2009-12-10 11:34:33 +0000
+++ src/applet-main.c	2010-01-08 08:53:18 +0000
@@ -40,10 +40,24 @@
  * main
  * ***********/
 
+#ifdef INDICATOR_APPLET
 PANEL_APPLET_BONOBO_FACTORY ("OAFIID:GNOME_IndicatorApplet_Factory",
                PANEL_TYPE_APPLET,
                "indicator-applet", "0",
                applet_fill_cb, NULL);
+#endif
+#ifdef INDICATOR_APPLET_SESSION
+PANEL_APPLET_BONOBO_FACTORY ("OAFIID:GNOME_FastUserSwitchApplet_Factory",
+               PANEL_TYPE_APPLET,
+               "indicator-applet-session", "0",
+               applet_fill_cb, NULL);
+#endif
+#ifdef INDICATOR_APPLET_COMPLETE
+PANEL_APPLET_BONOBO_FACTORY ("OAFIID:GNOME_IndicatorAppletComplete_Factory",
+               PANEL_TYPE_APPLET,
+               "indicator-applet-complete", "0",
+               applet_fill_cb, NULL);
+#endif
 
 /*************
  * init function
@@ -188,7 +202,11 @@
 	gtk_show_about_dialog(NULL,
 		"version", VERSION,
 		"copyright", "Copyright \xc2\xa9 2009 Canonical, Ltd.",
+#ifdef INDICATOR_APPLET_SESSION
+		"comments", _("A place to adjust your status, change users or exit your session."),
+#else
 		"comments", _("An applet to hold all of the system indicators."),
+#endif
 		"authors", authors,
 		"license", license_i18n,
 		"wrap-license", TRUE,
@@ -227,18 +245,44 @@
 	gint indicators_loaded = 0;
 	static gboolean first_time = FALSE;
 
+#ifdef INDICATOR_APPLET_SESSION
+	/* check if we are running stracciatella session */
+	if (g_strcmp0(g_getenv("GDMSESSION"), "gnome-stracciatella") == 0) {
+		g_debug("Running stracciatella GNOME session, disabling myself");
+		return TRUE;
+	}
+#endif
+
 	if (!first_time)
 	{
 		first_time = TRUE;
+#ifdef INDICATOR_APPLET
 		g_set_application_name(_("Indicator Applet"));
+#endif
+#ifdef INDICATOR_APPLET_SESSION
+		g_set_application_name(_("Indicator Applet Session"));
+#endif
+#ifdef INDICATOR_APPLET_COMPLETE
+		g_set_application_name(_("Indicator Applet Complete"));
+#endif
 	}
 
 	/* Set panel options */
 	gtk_container_set_border_width(GTK_CONTAINER (applet), 0);
 	panel_applet_set_flags(applet, PANEL_APPLET_EXPAND_MINOR);
 	panel_applet_setup_menu(applet, menu_xml, menu_verbs, NULL);
-    atk_object_set_name (gtk_widget_get_accessible (GTK_WIDGET (applet)),
-                         "indicator-applet");
+#ifdef INDICATOR_APPLET
+	atk_object_set_name (gtk_widget_get_accessible (GTK_WIDGET (applet)),
+	                     "indicator-applet");
+#endif
+#ifdef INDICATOR_APPLET_SESSION
+	atk_object_set_name (gtk_widget_get_accessible (GTK_WIDGET (applet)),
+	                     "indicator-applet-session");
+#endif
+#ifdef INDICATOR_APPLET_COMPLETE
+	atk_object_set_name (gtk_widget_get_accessible (GTK_WIDGET (applet)),
+	                     "indicator-applet-complete");
+#endif
   
 	/* Init some theme/icon stuff */
 	gtk_icon_theme_append_search_path(gtk_icon_theme_get_default(),
@@ -286,9 +330,19 @@
 
 		const gchar * name;
 		while ((name = g_dir_read_name(dir)) != NULL) {
+#ifdef INDICATOR_APPLET
 			if (!g_strcmp0(name, "libsession.so")) {
 				continue;
 			}
+			if (!g_strcmp0(name, "libme.so")) {
+				continue;
+			}
+#endif
+#ifdef INDICATOR_APPLET_SESSION
+			if (g_strcmp0(name, "libsession.so") && g_strcmp0(name, "libme.so")) {
+				continue;
+			}
+#endif
 			if (load_module(name, menubar)) {
 				indicators_loaded++;
 			}

